<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-25
 * Time: 9:58
 */

namespace App\Console\Commands;

use App\Repositories\CommunityMemberStatisticsRepository;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;


class CommunityMemberStatistics extends Command{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'member:statistics';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '用户行为统计';

    public function __construct(CommunityMemberStatisticsRepository $communityMemberStatisticsRepository)
    {
        parent::__construct();
        $this->communityMemberStatisticsRepository = $communityMemberStatisticsRepository;
    }
    //统计
    public function handle(){
        $this->line("统计用户行为数据");
        $this->communityMemberStatisticsRepository->statistics();
        $this->line("结束统计用户行为数据");
    }
}