<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMemberFollowTopicTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('member_follow_topic', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('uid')->default(0)->comment('用户uid');
            $table->integer('topic_id')->default(0)->comment('话题id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('member_follow_topic');
    }
}
