<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddPostMusicRelTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_music_category_rel', function (Blueprint $table) {
            $table->bigIncrements('id')->comment('id');
            $table->integer('mid')->nullable()->comment('音乐ID');
            $table->integer('music_category_id')->nullable()->comment('音乐类型ID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
