<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePostMusicUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_music_user', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('url')->default('')->comment('音乐地址');
            $table->string('name',100)->comment('音乐名称');
            $table->string('username',100)->default('')->comment('上传用户');
            $table->integer('uid')->comment('上传用户ID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('table_post_music_user');
    }
}
