<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-26
 * Time: 15:14
 */

namespace App\Transformers;


use App\Models\CommunityMemberStatistics;
use League\Fractal\TransformerAbstract;

class CommunityMemberStatisticsTransformer extends TransformerAbstract {
    public function transform(CommunityMemberStatistics $communityMemberStatistics)
    {

        return [
            'uid' => $communityMemberStatistics['uid'],
            'post_count' => $communityMemberStatistics['post_count'],
            'read_count' => $communityMemberStatistics['read_count'],
            'share_count' => $communityMemberStatistics['share_count'],
            'like_count' => $communityMemberStatistics['like_count'],
            'unlike_count' => $communityMemberStatistics['unlike_count'],
            'collect_count' => $communityMemberStatistics['collect_count'],
            'comment_count' => $communityMemberStatistics['comment_count'],
        ];
    }
}