<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/7/4
 * Time: 上午9:53
 */
namespace App\Transformers;

use App\Models\PostMusicCategoryRel;
use League\Fractal\TransformerAbstract;

class MusicTranformer extends TransformerAbstract {

    public function transform(PostMusicCategoryRel $musicList)
    {
        return [
            'id' => $musicList['id'],
            'name' => $musicList['name'],
            'music_duration' => date('i:s',$musicList['music_duration']),
            'url' => $musicList['url'],
            'created_at' => date($musicList['created_at']),
            'category_id' => $musicList['category_id'],
            'category_name' => $musicList['category_name'],
        ];
    }
}