<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/7/10
 * Time: 下午14:53
 */
namespace App\Transformers;

use App\Models\PostMusicUser;
use League\Fractal\TransformerAbstract;

class UserMusicTranformer extends TransformerAbstract {

    public function transform(PostMusicUser $musicList)
    {
        return [
            'id' => $musicList['id'],
            'name' => $musicList['name'],
            'url' => $musicList['url'],
            'created_at' => date($musicList['created_at']),
            'username' => $musicList['username'],
        ];
    }
}