<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddReplyUidToTablePostComment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('post_comment', function (Blueprint $table) {
            $table->integer('reply_uid')
                ->default(0)
                ->after('username')
                ->comment('回复对象uid');

            $table->string('reply_username', 32)
                ->default('')
                ->after('reply_uid')
                ->comment('回复对象昵称');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('post_data', function (Blueprint $table) {
            //
        });
    }
}
