<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableCollect extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_collect', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('uid')
                ->index('uid')
                ->comment('用户ID');

            $table->integer('post_id')
                ->default(0)
                ->comment('帖子id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('post_collect');
    }
}
