<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateTriggerTimeToRegisteredAccountsRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('registered_accounts_record', function (Blueprint $table) {
            $table->dateTime('trigger_time')->nullable()->comment('触发时间')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('registered_accounts_record', function (Blueprint $table) {
            //
        });
    }
}
