<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddIsOpenToPostMusicCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('post_music_category', function (Blueprint $table) {
            $table->tinyInteger('is_open')
                ->default(0)
                ->comment('是否开启：0.否，1.是');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('post_music_category', function (Blueprint $table) {
            //
        });
    }
}
