<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddOperatorTypeToPostLog extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('post_log', function (Blueprint $table) {
            $table->string('operator_type',16)
                ->default('admin')
                ->after('uid')
                ->comment('操作人类型（user用户，admin后台人员,system 系统）');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('post_log', function (Blueprint $table) {
            //
        });
    }
}
